FormLayoutUtils (JGoodies Forms 1.6 API)
Date: 2012-07-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.forms.extras
Class FormLayoutUtils

    java.lang.Object
      com.jgoodies.forms.extras.FormLayoutUtils

    public final class FormLayoutUtils

extends Object

Consists only of static methods that provide convenience behavior for working with the `FormLayout`.

Note: This class is not part of the binary Form library. It comes with the Forms distributions as an extra. The API is work in progress and may change without notice; this class may even be completely removed from future distributions. If you want to use this class, you may consider copying it into your codebase.

Version:
  $Revision: 1.12 $
Author:
  Karsten Lentzsch

Nested Class Summary
`static class` | `FormLayoutUtils.ConstraintIterator` Iterates over a FormLayout container's `CellConstraints`.

Method Summary
`static boolean` | `columnContainsComponent(Container container, int columnIndex)` Checks and answers whether the given FormLayout container contains a component in the specified column.
`static boolean` | `isGroupedColumn(FormLayout layout, int columnIndex)` Checks and answers whether the specified column is grouped in the given FormLayout.
`static boolean` | `isGroupedRow(FormLayout layout, int rowIndex)` Checks and answers whether the specified row is grouped in the given FormLayout.
`static boolean` | `rowContainsComponent(Container container, int rowIndex)` Checks and answers whether the given FormLayout container contains a component in the specified row.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### columnContainsComponent

    public static boolean columnContainsComponent(Container container,
                                                  int columnIndex)

  Checks and answers whether the given FormLayout container contains a component in the specified column.

  For every container child component, we look up the associated `CellConstraints` object from the layout and compare its horizontal grid origin with the specified column index.

  Parameters:
    `container` - the layout container
    `columnIndex` - the index of the column to test
  Returns:
    true if the column contains a component, false otherwise
  Throws:
    `IllegalArgumentException` - if the container's layout is not a `FormLayout`

### rowContainsComponent

    public static boolean rowContainsComponent(Container container,
                                               int rowIndex)

  Checks and answers whether the given FormLayout container contains a component in the specified row.

  For every container child component, we look up the associated `CellConstraints` object from the layout and compare its vertical grid origin with the specified row index.

  Parameters:
    `container` - the layout container
    `rowIndex` - the index of the row to test
  Returns:
    true if the row contains a component, false otherwise
  Throws:
    `IllegalArgumentException` - if the container's layout is not a `FormLayout`

### isGroupedColumn

    public static boolean isGroupedColumn(FormLayout layout,
                                          int columnIndex)

  Checks and answers whether the specified column is grouped in the given FormLayout. A column `col` is grouped, if and only if there's a column group group that includes `col`'s index.

  Parameters:
    `layout` - the layout to be inspected
    `columnIndex` - the index of the column to be checked
  Returns:
    true if the column is grouped, false if not

### isGroupedRow

    public static boolean isGroupedRow(FormLayout layout,
                                       int rowIndex)

  Checks and answers whether the specified row is grouped in the given FormLayout. A row `row` is grouped, if and only if there's a row group group that includes `row`'s index.

  Parameters:
    `layout` - the layout to be inspected
    `rowIndex` - the index of the row to be checked
  Returns:
    true if the column is grouped, false if not

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 JGoodies Karsten Lentzsch. All Rights Reserved.